<html>
<head>
<title>Ogre::MaterialScriptContext Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1MaterialScriptContext.html">MaterialScriptContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MaterialScriptContext Struct Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MaterialScriptContext" -->
<p>Struct for holding the script context while parsing.  
 <a href="structOgre_1_1MaterialScriptContext.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>&gt;</code></p>

<p><a href="structOgre_1_1MaterialScriptContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">MaterialScriptSection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#ad40690e3e1f21dd8dcfa844eaa905bd5">section</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a2faaff5fc2f2076677693f6076374ea5">groupName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a74312b6a7b96872915da5f6ec8541f37">material</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a03a912b72b369693e36167459bda916d">technique</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a95d825983c923b6dcd7dfd7665486578">pass</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#add408689df9b6e92b2e27a4f60fc4b50">textureUnit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a850fb30625648afc080c4d9260c256f6">program</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#af74e7eb288bf216915e3f483973fc117">isVertexProgramShadowCaster</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a40429f8e68082431de156a11139ad92f">isFragmentProgramShadowCaster</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#aea3c8c3bfc642b51b2e491f978acc7e1">isVertexProgramShadowReceiver</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a23f6f4cb57e74ef76b4779887e2d4a99">isFragmentProgramShadowReceiver</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a40b6666c05a0603b3fb92cdac9e92e3c">programParams</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a735dfeecb720e45e7e59716b5e48a4e6">numAnimationParametrics</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a2dfe774e6ce488e92e615fb17bba9e07">programDef</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a0d561091772b7bdd98c89cf3e469d078">techLev</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a9d9306c507a66909313bc2153f57265b">passLev</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#af315446811bd4d226027fea8689b6dd0">stateLev</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#acfa11da8b33a1fd4c07527bbb3d17772">defaultParamLines</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#ac5d56f2bd830b49be1f22d86ac8fb7e0">lineNo</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#ad89800f3f468929055abc5e2bafc0d4d">filename</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#a3c2c6c2dca3a9d723be0c0a36113c3ab">textureAliases</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct for holding the script context while parsing. </p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00074">74</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="acfa11da8b33a1fd4c07527bbb3d17772"></a><!-- doxytag: member="Ogre::MaterialScriptContext::defaultParamLines" ref="acfa11da8b33a1fd4c07527bbb3d17772" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#acfa11da8b33a1fd4c07527bbb3d17772">Ogre::MaterialScriptContext::defaultParamLines</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00094">94</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad89800f3f468929055abc5e2bafc0d4d"></a><!-- doxytag: member="Ogre::MaterialScriptContext::filename" ref="ad89800f3f468929055abc5e2bafc0d4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#ad89800f3f468929055abc5e2bafc0d4d">Ogre::MaterialScriptContext::filename</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00098">98</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2faaff5fc2f2076677693f6076374ea5"></a><!-- doxytag: member="Ogre::MaterialScriptContext::groupName" ref="a2faaff5fc2f2076677693f6076374ea5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#a2faaff5fc2f2076677693f6076374ea5">Ogre::MaterialScriptContext::groupName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00077">77</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a40429f8e68082431de156a11139ad92f"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isFragmentProgramShadowCaster" ref="a40429f8e68082431de156a11139ad92f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#a40429f8e68082431de156a11139ad92f">Ogre::MaterialScriptContext::isFragmentProgramShadowCaster</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00084">84</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a23f6f4cb57e74ef76b4779887e2d4a99"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isFragmentProgramShadowReceiver" ref="a23f6f4cb57e74ef76b4779887e2d4a99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#a23f6f4cb57e74ef76b4779887e2d4a99">Ogre::MaterialScriptContext::isFragmentProgramShadowReceiver</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00086">86</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af74e7eb288bf216915e3f483973fc117"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isVertexProgramShadowCaster" ref="af74e7eb288bf216915e3f483973fc117" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#af74e7eb288bf216915e3f483973fc117">Ogre::MaterialScriptContext::isVertexProgramShadowCaster</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00083">83</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea3c8c3bfc642b51b2e491f978acc7e1"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isVertexProgramShadowReceiver" ref="aea3c8c3bfc642b51b2e491f978acc7e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#aea3c8c3bfc642b51b2e491f978acc7e1">Ogre::MaterialScriptContext::isVertexProgramShadowReceiver</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac5d56f2bd830b49be1f22d86ac8fb7e0"></a><!-- doxytag: member="Ogre::MaterialScriptContext::lineNo" ref="ac5d56f2bd830b49be1f22d86ac8fb7e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1MaterialScriptContext.html#ac5d56f2bd830b49be1f22d86ac8fb7e0">Ogre::MaterialScriptContext::lineNo</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00097">97</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a74312b6a7b96872915da5f6ec8541f37"></a><!-- doxytag: member="Ogre::MaterialScriptContext::material" ref="a74312b6a7b96872915da5f6ec8541f37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#a74312b6a7b96872915da5f6ec8541f37">Ogre::MaterialScriptContext::material</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a735dfeecb720e45e7e59716b5e48a4e6"></a><!-- doxytag: member="Ogre::MaterialScriptContext::numAnimationParametrics" ref="a735dfeecb720e45e7e59716b5e48a4e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#a735dfeecb720e45e7e59716b5e48a4e6">Ogre::MaterialScriptContext::numAnimationParametrics</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00088">88</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a95d825983c923b6dcd7dfd7665486578"></a><!-- doxytag: member="Ogre::MaterialScriptContext::pass" ref="a95d825983c923b6dcd7dfd7665486578" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#a95d825983c923b6dcd7dfd7665486578">Ogre::MaterialScriptContext::pass</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00080">80</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d9306c507a66909313bc2153f57265b"></a><!-- doxytag: member="Ogre::MaterialScriptContext::passLev" ref="a9d9306c507a66909313bc2153f57265b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptContext.html#a9d9306c507a66909313bc2153f57265b">Ogre::MaterialScriptContext::passLev</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00091">91</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a850fb30625648afc080c4d9260c256f6"></a><!-- doxytag: member="Ogre::MaterialScriptContext::program" ref="a850fb30625648afc080c4d9260c256f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#a850fb30625648afc080c4d9260c256f6">Ogre::MaterialScriptContext::program</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00082">82</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2dfe774e6ce488e92e615fb17bba9e07"></a><!-- doxytag: member="Ogre::MaterialScriptContext::programDef" ref="a2dfe774e6ce488e92e615fb17bba9e07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#a2dfe774e6ce488e92e615fb17bba9e07">Ogre::MaterialScriptContext::programDef</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00089">89</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a40b6666c05a0603b3fb92cdac9e92e3c"></a><!-- doxytag: member="Ogre::MaterialScriptContext::programParams" ref="a40b6666c05a0603b3fb92cdac9e92e3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#a40b6666c05a0603b3fb92cdac9e92e3c">Ogre::MaterialScriptContext::programParams</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00087">87</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad40690e3e1f21dd8dcfa844eaa905bd5"></a><!-- doxytag: member="Ogre::MaterialScriptContext::section" ref="ad40690e3e1f21dd8dcfa844eaa905bd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">MaterialScriptSection</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#ad40690e3e1f21dd8dcfa844eaa905bd5">Ogre::MaterialScriptContext::section</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00076">76</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af315446811bd4d226027fea8689b6dd0"></a><!-- doxytag: member="Ogre::MaterialScriptContext::stateLev" ref="af315446811bd4d226027fea8689b6dd0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptContext.html#af315446811bd4d226027fea8689b6dd0">Ogre::MaterialScriptContext::stateLev</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00091">91</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0d561091772b7bdd98c89cf3e469d078"></a><!-- doxytag: member="Ogre::MaterialScriptContext::techLev" ref="a0d561091772b7bdd98c89cf3e469d078" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptContext.html#a0d561091772b7bdd98c89cf3e469d078">Ogre::MaterialScriptContext::techLev</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00091">91</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a03a912b72b369693e36167459bda916d"></a><!-- doxytag: member="Ogre::MaterialScriptContext::technique" ref="a03a912b72b369693e36167459bda916d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#a03a912b72b369693e36167459bda916d">Ogre::MaterialScriptContext::technique</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00079">79</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3c2c6c2dca3a9d723be0c0a36113c3ab"></a><!-- doxytag: member="Ogre::MaterialScriptContext::textureAliases" ref="a3c2c6c2dca3a9d723be0c0a36113c3ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#a3c2c6c2dca3a9d723be0c0a36113c3ab">Ogre::MaterialScriptContext::textureAliases</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00099">99</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="add408689df9b6e92b2e27a4f60fc4b50"></a><!-- doxytag: member="Ogre::MaterialScriptContext::textureUnit" ref="add408689df9b6e92b2e27a4f60fc4b50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#add408689df9b6e92b2e27a4f60fc4b50">Ogre::MaterialScriptContext::textureUnit</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00081">81</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
